samba -- buffer overflow

2007-12-10T00:00:00
ID DSA-1427
Type debian
Reporter Debian
Modified 2007-12-10T00:00:00

Description

Alin Rad Pop discovered that Samba, a LanManager-like file and printer server for Unix, is vulnerable to a buffer overflow in the nmbd code which handles GETDC mailslot requests, which might lead to the execution of arbitrary code.

For the old stable distribution (sarge), this problem has been fixed in version 3.0.14a-3sarge11. Packages for m68k will be provided later.

For the stable distribution (etch), this problem has been fixed in version 3.0.24-6etch9.

For the unstable distribution (sid), this problem will be fixed soon.

We recommend that you upgrade your samba packages.